| Home | Libraries | People | FAQ | More

#### buffer (12 of 22 overloads)

Create a new modifiable buffer that represents the given POD array.

    template<
        typename PodType,
        std::size_t N>
    mutable_buffers_1 buffer(
        boost::array< PodType, N > & data,
        std::size_t max_size_in_bytes);

###### Return Value

A `mutable_buffers_1` value equivalent to:

    mutable_buffers_1(
        data.data(),
        min(data.size() * sizeof(PodType), max_size_in_bytes));